let $form = $('#login-form');
let validator = $('#login-form').validate({
    rules: {
        mobile: {
            required: true,
            phone: true,
            es_remote: {
                type: 'get',
                callback: function(bool) {
                    if (bool) {
                        $('.js-sms-send').removeClass('disabled');
                    } else {
                        $('.js-sms-send').addClass('disabled');
                    }
                }
            },
        },
        sms_code: {
            required: true,
            rangelength: [6, 6],
            es_remote: {
                type: 'get',
            },
        }
    },
    messages: {
        mobile: {
            required: Translator.trans('validate.phone.message')
        },
        sms_code: {
            rangelength: Translator.trans('validate.sms_code.message')
        },
    }
});

let $mobile = $('input[name="mobile"]');
if ($mobile.val() > 0) {
    var url = $('#mobile').data('url');
    var data = {};
    data.value = $('[name="mobile"]').val();
    $.get(url, data, function(response) {
        if (response == true) {
            $('.js-sms-send').removeClass('disabled');
        } else {
            $('.js-sms-send').addClass('disabled');
        }
    });
}
var refreshTimeLeft = function() {
    var leftTime = $('#js-time-left').html();
    $('#js-time-left').html(leftTime - 1);
    if (leftTime - 1 > 0) {
        $('.js-sms-send').removeClass('disabled');
        $('.js-sms-send').addClass('disabled');
        setTimeout(refreshTimeLeft, 1000);
    } else {
        $('#js-time-left').html('');
        $('#js-fetch-btn-text').html("获取验证码");
        $('.js-sms-send').removeClass('disabled');
    }
};

$('.js-sms-send').click(function() {
    var mobile = $('[name="mobile"]').val();
    if (mobile.length != 11) {
        showMessage("login-form", '请输入有效手机号码');
        return;
    }
    $(".wrap_mask").fadeIn();
    $(".slidercaptcha").fadeIn();
    captcha();
});

function inputMobile() {
    console.log($("#mobile").val())
    if ($("#mobile").val().length == 11) {
        $("#mobile").trigger("blur")
    }
}
/*$('#login-form').keypress(function (e) {
  if (e.which == 13) {
    $('.address-create').trigger('click');
    e.preventDefault(); // Stops enter from creating a new line
  }
});*/

$('.js-btn-login').click(function() {
    if (validator.form()) {
        $(event.currentTarget).button('loadding');
        $form.submit();
    }
});

function captcha() {
    $('#captcha').sliderCaptcha({
        width: 380,
        height: 150,
        sliderL: 42,
        sliderR: 9,
        offset: 5,
        loadingText: '正在加载中...',
        failedText: '再试一次',
        barText: '向右滑动填充图案',
        repeatIcon: 'fa fa-redo',
        remoteUrl: '/login/captcha/send?sign=sms_code_login',
        verify: function(arr, url) {
            var ret = false;
            $.ajax({
                url: url,
                data: JSON.stringify(arr),
                async: false,
                cache: false,
                type: 'POST',
                contentType: 'application/json',
                dataType: 'json',
                success: function(result) {
                    if (result.code) {
                        $('[name="captcha_code"]').val(result.code);
                        $('[name="captcha_token"]').val(result.sign);
                    }
                    ret = result;
                }
            });
            return ret;
        },
        setSrc: function() {
            return '/static-dist/k12/img/captcha' + Math.floor((Math.random() * 10) + 1) + '.jpg';
        },
        onSuccess: function() {

            $(".wrap_mask").fadeOut('fast');
            $(".slidercaptcha").fadeOut('fast');
            var url = $('.js-sms-send').data('url');
            var data = {};
            data.to = $('[name="mobile"]').val();
            data.sms_type = 'sms_code_login';
            data.code = $('[name="captcha_code"]').val();
            data.token = $('[name="captcha_token"]').val();
            $.post(url, data, function(response) {
                //showMessage("login-form",response['ACK']);
                if (("undefined" != typeof response['ACK']) && (response['ACK'] == 'ok')) {
                    $('#js-time-left').html('60');
                    $('#js-fetch-btn-text').html("s");
                    refreshTimeLeft();
                } else {
                    if ("undefined" != typeof response['error']) {
                        showMessage("login-form", response['error']);
                    } else {
                        showMessage(Translator.trans('site.data.get_sms_code_failure_hint'));
                    }
                }
            });
        },
        onFail: function() {
            console.log('fail');
            $('[name="captcha_code"]').val('');
            $('[name="captcha_token"]').val('');
        },
        onRefresh: function() {

        },
    });

}
$(".wrap_mask").on('click', function() {
    $(this).fadeOut('fast');
    $(".slidercaptcha").fadeOut('fast');

})